> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subotiz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Checkout Session

> List Checkout Session



## OpenAPI

````yaml openapi/v1-en.yaml GET /api/v1/session
openapi: 3.0.3
info:
  title: Subotiz API
  description: Subotiz OpenAPI
  version: 1.0.0
servers:
  - url: https://{api}.subotiz.com
    variables:
      api:
        default: api
security:
  - sec0: []
tags:
  - name: Subscription
    description: Subscription
  - name: Price
    description: Price
  - name: Trade
    description: Trade
  - name: Payment
    description: Payment
  - name: Checkout Session
    description: Checkout Session
  - name: Customer
    description: Customer
  - name: Customer Portal
    description: Customer Portal
paths:
  /api/v1/session:
    get:
      tags:
        - Checkout Session
      summary: List Checkout Session
      description: List Checkout Session
      operationId: v1-checkout-session-list-checkout-session
      parameters:
        - name: session_ids
          in: query
          description: >-
            Checkout session ID array, filter checkout sessions whose IDs belong
            to this array
          schema:
            type: array
            items:
              type: string
        - name: status
          in: query
          description: |-
            Checkout session status:
             - open: Created successfully
             - expire: Expired
             - complete: Transaction completed
          schema:
            type: string
        - name: starting_after
          in: query
          description: >-
            Cursor for pagination. `starting_after` is the object ID that
            defines your position in the list. For example, if you want to get
            the next page, you can use the last object's ID as the parameter
            value after getting the object list for the first time. Cannot be
            used together with `ending_before`
          schema:
            type: string
        - name: ending_before
          in: query
          description: >-
            Cursor for pagination. `ending_before` is the object ID that defines
            your position in the list. For example, if you want to get the
            previous page, you can use the first object's ID as the parameter
            value after getting the object list for the first time. Cannot be
            used together with `starting_after`
          schema:
            type: string
        - name: limit
          in: query
          description: >-
            Pagination parameter, number of items per page, default: 10,
            interface defaults to sorting by creation time in descending order.
            Limit: [1, 100]
          schema:
            type: integer
            format: int32
        - name: order_ids
          in: query
          description: Third-party order numbers
          schema:
            type: array
            items:
              type: string
        - name: customer_id
          in: query
          description: >-
            Only return CheckoutSession for the customer that this customer ID
            specifies.
          schema:
            type: string
        - name: created_at.gt
          in: query
          description: >-
            Minimum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.gte
          in: query
          description: >-
            Minimum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lt
          in: query
          description: >-
            Maximum value to filter by (exclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - name: created_at.lte
          in: query
          description: >-
            Maximum value to filter by (inclusive, UTC time in RFC3339 format,
            such as '2025-01-01T00:00:00Z')
          schema:
            type: string
        - $ref: '#/components/parameters/HeaderRequestID'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListCheckoutSessionResponse'
components:
  parameters:
    HeaderRequestID:
      name: Request-Id
      in: header
      description: The unique identifier of the request
      required: true
      schema:
        type: string
        default: 008e3967-a1b5-48bb-be14-d5bff5092e61
  schemas:
    ListCheckoutSessionResponse:
      type: object
      properties:
        code:
          type: string
          description: error code
        message:
          type: string
          description: error message
        data:
          $ref: '#/components/schemas/ListCheckoutSessionResponse_Data'
    ListCheckoutSessionResponse_Data:
      type: object
      properties:
        has_more:
          type: boolean
          description: Whether there is more data
        list:
          type: array
          items:
            $ref: '#/components/schemas/CheckoutSession'
          description: Checkout session list
    CheckoutSession:
      type: object
      properties:
        id:
          type: string
          description: Checkout session ID
        access_no:
          type: string
          description: Third-party access number
        merchant_id:
          type: string
          description: Merchant unique identifier
        order_id:
          type: string
          description: Third-party order number
        trade_id:
          type: string
          description: Trade ID
        customer:
          allOf:
            - $ref: '#/components/schemas/Customer'
          description: Customer information
        status:
          type: string
          description: |-
            Checkout session status:
             - open: Created successfully
             - expire: Expired
             - complete: Transaction completed
        expire_time:
          type: string
          description: >-
            Validity period (seconds), expiration time can be calculated by
            adding validity period to creation time
        return_url:
          type: string
          description: Payment success redirect URL
        cancel_url:
          type: string
          description: Cancel payment redirect URL
        callback_url:
          type: string
          description: Webhook notification URL
        session_url:
          type: string
          description: Checkout page URL
        mode:
          type: string
          description: >-
            Payment mode, used to determine whether to validate product
            information:

            - checkout: Validate product data, default value

            - payment: Do not validate product data
        total_amount:
          type: string
          description: Total amount (excluding discounts and tax)
        integration_method:
          type: string
          description: |-
            Integration mode:
            - hosted: Hosted, default mode
            - embedded: Embedded integration
        redirect_on_completion:
          type: string
          description: >-
            Redirect behavior for embedded UI mode

            - always: Automatically redirect to `return_url` after successful
            payment

            - if_required: Only redirect to `return_url` for payment methods
            that require redirection
        created_at:
          type: string
          description: Creation time
        payment_token:
          type: string
          description: >-
            Payment token returned for subscription payment, used for subsequent
            subscription renewals
        metadata:
          type: object
          additionalProperties:
            type: string
          description: >-
            A set of key-value pairs that can be attached to an object, allowing
            you to store additional information in a structured format.
        first_source_channel:
          type: string
          description: The source where this checkout session was initially created.
        last_source_channel:
          type: string
          description: The source where this checkout session was last accessed.
        fixed_term:
          type: integer
          description: Fixed-term subscription length
          format: int32
        is_renewable:
          type: boolean
          description: Whether it can be converted to a continuous subscription
    Customer:
      type: object
      properties:
        id:
          type: string
          description: Customer ID
        payer_id:
          type: string
          description: Third-party customer ID
        email:
          type: string
          description: Customer email
  securitySchemes:
    sec0:
      type: http
      description: >-
        Bearer API Key authentication. Format: Authorization: Bearer
        {your_api_key}
      scheme: bearer

````